Package com.google.protobuf

## Enum Extension.ExtensionType

- java.lang.Object
- - java.lang.Enum<Extension.ExtensionType>
  - - com.google.protobuf.Extension.ExtensionType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Extension.ExtensionType>`

Enclosing class:
  Extension<ContainingType extends MessageLite,​Type>

    protected static enum Extension.ExtensionType
    extends java.lang.Enum<Extension.ExtensionType>

The API type that the extension is used for.

### Enum Constant Summary

Enum Constants
`IMMUTABLE`
`MUTABLE`
`PROTO1`

### Method Summary

All Methods Static Methods Concrete Methods
`static Extension.ExtensionType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Extension.ExtensionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IMMUTABLE

    public static final Extension.ExtensionType IMMUTABLE

#### MUTABLE

    public static final Extension.ExtensionType MUTABLE

#### PROTO1

    public static final Extension.ExtensionType PROTO1

### Method Detail

#### values

    public static Extension.ExtensionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Extension.ExtensionType c : Extension.ExtensionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Extension.ExtensionType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null